Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
the_invisible

Array trong Cad 2012

Các bài được khuyến nghị

Mình vừa cài xong thằng Cad 2012, lệnh Array của cad2012 này thuận tiện hơn những bản trước đó, nhưng mình vẫn chưa biết cách sử dụng (ko chỉnh các thông số theo ý muốn được) . Có bạn nào sử dụng cad 2012 thì giúp mình rõ hơn về lệnh này với.

Cám ơn các bạn đã đọc bài

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình vừa cài xong thằng Cad 2012, lệnh Array của cad2012 này thuận tiện hơn những bản trước đó, nhưng mình vẫn chưa biết cách sử dụng (ko chỉnh các thông số theo ý muốn được) . Có bạn nào sử dụng cad 2012 thì giúp mình rõ hơn về lệnh này với.

Cám ơn các bạn đã đọc bài

Bạn mở properties palette lên (Ctrl + 1) chọn array rồi sửa thông tin trên palette

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình vừa cài xong thằng Cad 2012, lệnh Array của cad2012 này thuận tiện hơn những bản trước đó, nhưng mình vẫn chưa biết cách sử dụng (ko chỉnh các thông số theo ý muốn được) . Có bạn nào sử dụng cad 2012 thì giúp mình rõ hơn về lệnh này với.

Cám ơn các bạn đã đọc bài

Khi tạo ra 1 array thì bạn bấm vào ar đó xuất hiện 1 thanh array bar hiển ở trên màu xanh lá cây tha hồ mà chỉnh sửa. Đây là 2012 :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cách của bạn Datailing có vẻ tổng quát, dùng cho chỉnh nhiều thứ khác cũng được, có lẽ áp dụng được.

 

Còn cách của bạn calendar08 mình vẫn chưa làm được. Nếu có ghé ngang lần nữa hy vọng bạn chỉ giúp mình rõ hơn.

 

Mình làm đại thử thì thấy lệnh array trong cad 2012 khi thực hiện rồi thì ko thể thao tác chỉnh sửa 1 đối tượng trong nhóm (cái đống mình tạo ra) vì khi chọn nó là lụm luôn nguyên 1 nhóm. Ko biết có cách nào tách nó ra ko nhỉ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sao mình dùng lệnh trim cắt hình khi làm array xong không được? bạn nào biết chỉ mình với :|

 

 

dùng lệnh xp để tách no ra đi bạn, rồi mới trim dc.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thử lisp bên dưới:
 

(defun c:ar ( / ss p1 p2 therows thecols drows dcols)
	(vl-load-com)
	(setq ss (ssget))
	(setq p1 (getpoint " Specify first point: "))
	(setq p2 (getpoint p1 " Specify second point: "))
	(if (and p1 p2)
		(progn
			(if (= (car p1) (car p2))
				(setq therows 2 thecols 1 drows (- (cadr p2) (cadr p1)) dcols (- (cadr p2) (cadr p1)))
				(if (= (cadr p1) (cadr p2))
					(setq therows 1 thecols 2 drows (- (car p2) (car p1)) dcols (- (car p2) (car p1)))
					(setq therows 2 thecols 2 drows (- (cadr p2) (cadr p1)) dcols (- (car p2) (car p1)))
				)
			)
			(vla-sendcommand
				(vla-get-activedocument (vlax-get-acad-object))
				(strcat "array\rp\r\rR\rROW\r" (itoa therows) "\n" (rtos drows 2 10) "\n\nCOL\r" (itoa thecols) "\r" (rtos dcols 2 10) "\r\r")
			)
		)
	)
	(princ "\nwww.tankhanh.com.vn")
	(princ)
)

Chi tiết tại
http://www.cadviet.com/forum/topic/158911-cách-sử-dụng-array-mới-trong-autocad-với-lisp/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nhờ các bạn cải tiến lệnh array này:

- thao tác array tiến hành đối với từng phương x,y riêng lẻ

- Thao tác khi nhập lệnh ARX thì chọn đối tượng/ chọn khoảng cách/ rồi chọn số lượng / Enter sẽ rải các đối tượng theo phương X

- Thao tác khi nhập lệnh ARY thì chọn đối tượng / chọn khoảng cách/ rồi chọn số lượng / Enter sẽ rải các đối tượng theo phương Y

Cảm ơn mn

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×